<script>
import EntrySingleResult from "@/pagesOther/pages/ie/entry-single-result/entry-single-result.vue";
import {sleep} from "@/uni_modules/uv-ui-tools/libs/function";
import {useTransfer} from "@/hooks/useTransfer";
import {useCacheStore} from "@/hooks/useCacheStore";
import {useProvidePageScroll} from "@/hooks/usePageScrollInjection";

export default {
    name: 'analysis-major-detail',
    extends: EntrySingleResult,
    data() {
        return {
            title: '模拟志愿分析-专业详情'
        }
    },
    setup() {
        const {prevData} = useTransfer()
        const {dispatchCache} = useCacheStore()
        const scrollTop = useProvidePageScroll()

        return {
            prevData,
            scrollTop,
            dispatchCache
        }
    },
    methods: {
        async loadReport() {
            await sleep(200) // wait until chart dom rendered.
            this.result = this.prevData
        }
    }
}
</script>

<style>

</style>
